Send a password reset email to a user
Sends a new enrollment token to the user's email. You cannot reset your own password this way.
post
Authorizations
defguard_sessionstringRequired
Path parameters
usernamestringRequired
Name of the user.
Responses
200
Password reset email sent.
No content
400
This endpoint does not reset your own password.
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
404
User not found.
500
Unable to send password reset email.
application/json
post/api/v1/user/{username}/reset_password
POST /api/v1/user/{username}/reset_password HTTP/1.1
Accept: */*
No content
Last updated
Was this helpful?